---
title: "Create a New Team"
slug: "create-a-new-team"
updated: 2026-09-03T14:50:33Z
published: 2026-09-03T14:50:33Z
canonical: "developer.rocket.chat/create-a-new-team"
stale: true
---
> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.
# Create a New Team
Post/api/v1/teams.create
Create a new public or private team in the workspace.
Permission required: `create-team`. When you create a team from an existing room by passing `room.id`, you also need the `edit-room` permission for that room.
### Changelog
| Version | Description |
| --- | --- |
| 8.7.0 | Enforced room permission checks when creating a team from an existing room. |
| 3.13.0 | Added |
Header parametersX-Auth-TokenstringRequired
The `authToken` of the authenticated user.
ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired
The `userId` of the authenticated user.
ExamplerbAXPnMktTFbNpwtJ
Body parametersCreate a public team
```json
{
"name": "teamName",
"type": 0,
"members": [
"8dugqGhuRvCBLdZft"
],
"room": {
"readOnly": true
},
"sidepanel": {
"items": [
"discussions",
"channels"
]
}
}
```
Create a team from an existing room
```json
{
"name": "teamName",
"type": 0,
"room": {
"id": "6513afeda2f73c7460e18c86"
}
}
```
Expand Allobject namestring Required
The team name.
typeinteger Required
Privacy of the team (0 - Public, 1 - Private).
members Array of string
The user IDs to add to the team when it is created.
string
roomobject idstring
The ID of an existing room to use as the team's main room.
readOnlyboolean
sidepanelobject
List the team's channels or discussions to be displayed in the sidepanel.
items Array of string
The options are `discussions` and `channels`.
string Example["discussions", "channels"]
ownerstring
Set the owner of the team.
Responses200
OK
Note that the `roomId` is main room ID of the team.
Team created
```json
{
"team": {
"_id": "651619e3a2f73c7460e18cc5",
"name": "teamName",
"type": 0,
"createdAt": "2023-09-29T00:27:15.189Z",
"createdBy": {
"_id": "rbAXPnMktTFbNpwtJ",
"username": "roxie"
},
"_updatedAt": "2023-09-29T00:27:15.189Z",
"roomId": "651619e3a2f73c7460e18cc7"
},
"success": true
}
```
Expand Allobject teamobject _idstring
namestring
typeinteger
createdAtstring
createdByobject _idstring
usernamestring
_updatedAtstring
roomIdstring
successboolean
401
Unauthorized
Authorization Error
```json
{
"status": "error",
"message": "You must be logged in to do this."
}
```
object statusstring
messagestring
403
Forbidden
Missing room permissions
```json
{
"success": false,
"error": "unauthorized"
}
```
object successboolean
errorstring